using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using MySqlConnector;
using Dapper;
using mysql_connector2.res;

namespace mysql_connector2.res
{
    public interface IDataProvider
    {
        IEnumerable<ProductMaterial> getProductMaterials(int productId);
        IEnumerable<Product> getProduct(int pageNum);
        int getProductCount();
        void setOrder(string condition);
        IEnumerable<ProductType> getProductTypes();
        void clearFilter();
        void addFilter(string v, object value);
        void setMinCostForAgent(decimal result, int[] ints);
        void saveProduct(Product product);
        Product GetProductByArticle(string article);
        void removePriceHistory(int productId);
        void removeProduct(int productId);
        void removeProductMaterial(int productId);
        int saleCount(int productId);
        void deleteProductMaterial(ProductMaterial productMaterial);
        IEnumerable<Material> getAvailableMaterials();
        void addProductMaterial(ProductMaterial productMaterial);
    }
}
